COPY TABLE pagelinks INTO pagelinks_copy
COPY TABLE page INTO page_copy
PARTITION TABLE page_copy INTO page_copy_part1 WITH page_is_redirect = 1, page_copy_part2 WITH page_is_redirect != 1;
DROP TABLE page_copy_part2;
JOIN TABLE pagelinks_copy, page_copy_part1 INTO redirect WHERE pl_from = page_id ;
DROP COLUMN page_counter FROM redirect
DROP COLUMN page_id FROM redirect
DROP COLUMN page_is_new FROM redirect
DROP COLUMN page_is_redirect FROM redirect
DROP COLUMN page_latest FROM redirect
DROP COLUMN page_len FROM redirect
DROP COLUMN page_namespace FROM redirect
DROP COLUMN page_random FROM redirect
DROP COLUMN page_restrictions FROM redirect
DROP COLUMN page_title FROM redirect
DROP COLUMN page_touched FROM redirect
RENAME COLUMN pl_from IN redirect TO rd_from
RENAME COLUMN pl_namespace IN redirect TO rd_namespace
RENAME COLUMN pl_title IN redirect TO rd_title