DROP TABLE cur;
CREATE TABLE revision (rev_id int(8) unsigned NOT NULL auto_increment, rev_page int(8) unsigned NOT NULL, rev_comment tinyblob NOT NULL default '', rev_user int(5) unsigned NOT NULL default '0',rev_user_text varchar(255) binary NOT NULL default '', rev_timestamp char(14) binary NOT NULL default '', rev_minor_edit tinyint(1) unsigned NOT NULL default '0', inverse_timestamp char(14) binary NOT NULL default '', PRIMARY KEY rev_page_id (rev_page, rev_id), UNIQUE INDEX rev_id (rev_id), INDEX rev_timestamp (rev_timestamp), INDEX page_timestamp (rev_page,inverse_timestamp), INDEX user_timestamp (rev_user,inverse_timestamp), INDEX usertext_timestamp (rev_user_text,inverse_timestamp));
DROP TABLE old;
CREATE TABLE text ( old_id int(8) unsigned NOT NULL auto_increment, old_text mediumtext NOT NULL default '', old_flags tinyblob NOT NULL default '', PRIMARY KEY old_id (old_id));