DROP COLUMN user_name FROM user
ADD COLUMN user_name varbinary(255) NOT NULL default ''  INTO user
DROP COLUMN user_real_name FROM user
ADD COLUMN user_real_name varbinary(255) NOT NULL default ''  INTO user
DROP COLUMN page_title FROM page
ADD COLUMN page_title varbinary(255) NOT NULL  INTO page
DROP COLUMN rev_user_text FROM revision
ADD COLUMN rev_user_text varbinary(255) NOT NULL default ''  INTO revision
DROP COLUMN ar_title FROM archive
ADD COLUMN ar_title varbinary(255) NOT NULL default ''  INTO archive
DROP COLUMN ar_user_text FROM archive
ADD COLUMN ar_user_text varbinary(255) NOT NULL  INTO archive
DROP COLUMN pl_title FROM pagelinks
ADD COLUMN pl_title varbinary(255) NOT NULL default ''  INTO pagelinks
DROP COLUMN tl_title FROM templatelinks
ADD COLUMN tl_title varbinary(255) NOT NULL default ''  INTO templatelinks
DROP COLUMN il_to FROM imagelinks
ADD COLUMN il_to varbinary(255) NOT NULL default ''  INTO imagelinks
DROP COLUMN cl_to FROM categorylinks
ADD COLUMN cl_to varbinary(255) NOT NULL default ''  INTO categorylinks
DROP COLUMN cl_sortkey_prefix FROM categorylinks
ADD COLUMN cl_sortkey_prefix varbinary(255) NOT NULL default ''  INTO categorylinks
DROP COLUMN cat_title FROM category
ADD COLUMN cat_title varbinary(255) NOT NULL  INTO category
DROP COLUMN eu_external_id FROM external_user
ADD COLUMN eu_external_id varbinary(255) NOT NULL  INTO external_user
DROP COLUMN ll_title FROM langlinks
ADD COLUMN ll_title varbinary(255) NOT NULL default ''  INTO langlinks
DROP COLUMN iwl_title FROM iwlinks
ADD COLUMN iwl_title varbinary(255) NOT NULL default ''  INTO iwlinks
DROP COLUMN ipb_by_text FROM ipblocks
ADD COLUMN ipb_by_text varbinary(255) NOT NULL default ''  INTO ipblocks
DROP COLUMN img_name FROM image
ADD COLUMN img_name varbinary(255) NOT NULL default '' PRIMARY KEY  INTO image
DROP COLUMN img_user_text FROM image
ADD COLUMN img_user_text varbinary(255) NOT NULL  INTO image
DROP COLUMN oi_name FROM oldimage
ADD COLUMN oi_name varbinary(255) NOT NULL default ''  INTO oldimage
DROP COLUMN oi_archive_name FROM oldimage
ADD COLUMN oi_archive_name varbinary(255) NOT NULL default ''  INTO oldimage
DROP COLUMN oi_user_text FROM oldimage
ADD COLUMN oi_user_text varbinary(255) NOT NULL  INTO oldimage
DROP COLUMN fa_name FROM filearchive
ADD COLUMN fa_name varbinary(255) NOT NULL default ''  INTO filearchive
DROP COLUMN fa_archive_name FROM filearchive
ADD COLUMN fa_archive_name varbinary(255) default ''  INTO filearchive
DROP COLUMN fa_user_text FROM filearchive
ADD COLUMN fa_user_text varbinary(255)  INTO filearchive
DROP COLUMN rc_user_text FROM recentchanges
ADD COLUMN rc_user_text varbinary(255) NOT NULL  INTO recentchanges
DROP COLUMN rc_title FROM recentchanges
ADD COLUMN rc_title varbinary(255) NOT NULL default ''  INTO recentchanges
DROP COLUMN rc_comment FROM recentchanges
ADD COLUMN rc_comment varbinary(255) NOT NULL default ''  INTO recentchanges
DROP COLUMN rc_moved_to_title FROM recentchanges
ADD COLUMN rc_moved_to_title varbinary(255) NOT NULL default ''  INTO recentchanges
DROP COLUMN wl_title FROM watchlist
ADD COLUMN wl_title varbinary(255) NOT NULL default ''  INTO watchlist
DROP COLUMN si_title FROM searchindex
ADD COLUMN si_title varbinary(255) NOT NULL default ''  INTO searchindex
DROP COLUMN iw_prefix FROM interwiki
ADD COLUMN iw_prefix varbinary(32) NOT NULL  INTO interwiki
DROP COLUMN iw_wikiid FROM interwiki
ADD COLUMN iw_wikiid varbinary(64) NOT NULL  INTO interwiki
DROP COLUMN qc_title FROM querycache
ADD COLUMN qc_title varbinary(255) NOT NULL default ''  INTO querycache
DROP COLUMN log_user_text FROM logging
ADD COLUMN log_user_text varbinary(255) NOT NULL default ''  INTO logging
DROP COLUMN log_title FROM logging
ADD COLUMN log_title varbinary(255) NOT NULL default ''  INTO logging
DROP COLUMN log_comment FROM logging
ADD COLUMN log_comment varbinary(255) NOT NULL default ''  INTO logging
DROP COLUMN ls_value FROM log_search
ADD COLUMN ls_value varbinary(255) NOT NULL  INTO log_search
DROP COLUMN tb_title FROM trackbacks
ADD COLUMN tb_title varbinary(255) NOT NULL  INTO trackbacks
DROP COLUMN tb_name FROM trackbacks
ADD COLUMN tb_name varbinary(255)  INTO trackbacks
DROP COLUMN job_title FROM job
ADD COLUMN job_title varbinary(255) NOT NULL  INTO job
DROP COLUMN rd_title FROM redirect
ADD COLUMN rd_title varbinary(255) NOT NULL default ''  INTO redirect
DROP COLUMN rd_interwiki FROM redirect
ADD COLUMN rd_interwiki varbinary(32) default NULL  INTO redirect
DROP COLUMN rd_fragment FROM redirect
ADD COLUMN rd_fragment varbinary(255) default NULL  INTO redirect
DROP COLUMN qcc_title FROM querycachetwo
ADD COLUMN qcc_title varbinary(255) NOT NULL default ''  INTO querycachetwo
DROP COLUMN qcc_titletwo FROM querycachetwo
ADD COLUMN qcc_titletwo varbinary(255) NOT NULL default ''  INTO querycachetwo
DROP COLUMN pt_title FROM protected_titles
ADD COLUMN pt_title varbinary(255) NOT NULL  INTO protected_titles
DROP COLUMN ul_key FROM updatelog
ADD COLUMN ul_key varbinary(255) NOT NULL PRIMARY KEY  INTO updatelog
DROP COLUMN ct_tag FROM change_tag
ADD COLUMN ct_tag varbinary(255) NOT NULL  INTO change_tag
DROP COLUMN vt_tag FROM valid_tag
ADD COLUMN vt_tag varbinary(255) NOT NULL PRIMARY KEY  INTO valid_tag
DROP COLUMN lc_key FROM l10n_cache
ADD COLUMN lc_key varbinary(255) NOT NULL  INTO l10n_cache
